import java.io.*;
import java.util.*;
import java.text.*;
import javax.servlet.*;
import javax.servlet.http.*;

public class CurrencyConverter extends HttpServlet {

    public void doGet(HttpServletRequest req, HttpServletResponse res)
                 throws ServletException, IOException {
        res.setContentType ("text/html");
        PrintWriter out = res.getWriter();
        out.println ("<HTML>");
        out.println ("<HEAD><TITLE>Currency Conversion</TITLE></HEAD>");
        out.println ("<BODY>");
        Currency dollars = Currency.getInstance(Locale.US);
        Currency pounds = Currency.getInstance(Locale.UK);
		String rate = getInitParameter ("rate");
        String amount = req.getParameter("amount");
        try {
            NumberFormat nf = NumberFormat.getInstance();
            double poundValue = nf.parse(amount).doubleValue();
			double exchangeRate = nf.parse(rate).doubleValue();
            poundValue *= exchangeRate ;
            nf.setMaximumFractionDigits(pounds.getDefaultFractionDigits());
            nf.setMinimumFractionDigits(pounds.getDefaultFractionDigits());
            out.println ("<BIG>" + dollars.getSymbol(Locale.US) + amount + " = "
                + pounds.getSymbol(Locale.UK) + nf.format(poundValue) + "</BIG>");
        }
        catch (ParseException e) {
            out.println ("Bad number format");
        }
        out.println ("</BODY>");
        out.println ("</HTML>");
    }
}
