import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;
import java.util.*;

public class SessionList extends HttpServlet
{
	public void doGet(HttpServletRequest request, HttpServletResponse response)
	throws ServletException, IOException
	{
		response.setContentType("text/html");
		PrintWriter out = response.getWriter();
		HttpSession session = request.getSession();

		// add parameter to session
		String name = request.getParameter("name");
		String value = request.getParameter("value");
		if (name!=null && value!=null && name.length()>0) {
			session.setAttribute(name,value);
		}

		out.println("<HTML><HEAD><TITLE>Session List</TITLE></HEAD><BODY>");
		out.println("<H1>Session List</H1>");
		Date lastVisit = (Date)session.getAttribute("lastVisit");
		Date thisVisit = new Date();
		out.println ("Last visit: "+lastVisit+"<BR>");
		out.println ("This visit: "+thisVisit+"<BR>");
		out.println ("Session ID: "+session.getId()+"<BR>");
		out.println ("Session max interval: "+
			session.getMaxInactiveInterval()+"<BR>");

		out.println ("<H2>Session parameters</H2>");
		Enumeration enum = session.getAttributeNames();
		while (enum.hasMoreElements()) {
			String attribute = (String) enum.nextElement();
		    out.println(""+attribute+"="+
				session.getAttribute(attribute)+"<BR>");
		}
		session.setAttribute("lastVisit",thisVisit);

		out.println ("<H2>New session parameter</H2>");
		out.println("<FORM>");
		out.println("<P>Name: <INPUT TYPE='TEXT' NAME='name'></P>");
		out.println("<P>Value: <INPUT TYPE='TEXT' NAME='value'></P>");
		out.println("<INPUT TYPE='SUBMIT' VALUE='Add new value'>");
		out.println("</FORM>");

		out.println("</BODY></HTML>");
	}

	public void doPost(HttpServletRequest req, HttpServletResponse res)
		throws ServletException, IOException
	{
		System.out.println ("doPost");
		doGet(req,res);
	}
}
