package converters;

import java.util.*;
import java.text.*;

public class CurrencyConverterBean {

    private double exchangeRate = 0.613;
    private Currency dollars = Currency.getInstance(Locale.US);
    private Currency pounds = Currency.getInstance(Locale.UK);
    private NumberFormat nf = NumberFormat.getInstance();
    private String amount;

    public CurrencyConverterBean() {
    }

	public void setAmount (String amount){
	    this.amount = amount;
	}

	public String getAmount () {
	    return dollars.getSymbol(Locale.US) + amount;
	}

	public void setExchangeRate (double exchangeRate){
	    this.exchangeRate = exchangeRate;
	}

	public double getExchangeRate (){
	    return exchangeRate;
	}

	public String getPoundValue(){
	    try {
			double newValue = nf.parse(amount).doubleValue();
			newValue *= exchangeRate ;
			nf.setMaximumFractionDigits(pounds.getDefaultFractionDigits());
			nf.setMinimumFractionDigits(pounds.getDefaultFractionDigits());
			return pounds.getSymbol(Locale.UK) + nf.format(newValue);
		}
	    catch (ParseException e) {
		    return ("Bad number format");
	    }
    }
}
