import java.sql.*;

public class ListDB
{
    public static void main(String[] args)
    {
        String driver="org.gjt.mm.mysql.Driver";
        String database="jdbc:mysql://localhost/Test";
        String username="root";
        String password="secret";
        Connection con = null;
        try
        {
            Class.forName(driver);
            con = DriverManager.getConnection(database,username,password);
            // Database details
            DatabaseMetaData md = con.getMetaData();
            System.out.println ("Type: "+md.getDatabaseProductName()+" "+md.getDatabaseProductVersion());
            System.out.println ("Name: "+md.getURL());

            // List of tables
            System.out.println("Tables:");
            ResultSet tables = md.getTables(null,"","%",null);
            while (tables.next()) {
				String table = tables.getString(3);
                System.out.println("***"+table+"***");
				Statement stmt = con.createStatement();
				ResultSet results = stmt.executeQuery("SELECT * FROM "+table);

				StringBuffer buf = new StringBuffer("  ");
				ResultSetMetaData rsmd = results.getMetaData();
				int numCols = rsmd.getColumnCount();

				for (int i=1; i <= numCols; i++) {
					if (i > 1)
						buf.append(",");
					buf.append(rsmd.getColumnLabel(i));
				}
				buf.append("\n");

				while (results.next()) {
					buf.append("  ");
					for (int i=1; i <= numCols; i++) {
						if (i > 1)
						    buf.append(",");
						buf.append(results.getString(i));
					}
					buf.append("\n");
				}
				results.close();

				System.out.println(buf);
            }
        }
        catch (SQLException ex) {
            ex.printStackTrace(System.out);
            System.err.println("SQL state: "+ex.getSQLState());
            System.err.println("Error code: "+ex.getErrorCode());
        }
        catch (Exception ex) {
            System.err.println(ex);
        }
        finally {
            if (con != null)
                try { con.close(); } catch (Exception e) {}
        }
    }
}
