package converters;

import java.util.*;
import java.text.*;

public class CurrencyConverterBean {

    private static final double EXCHANGE_RATE = 0.613;
    private Currency dollars = Currency.getInstance(Locale.US);
    private Currency pounds = Currency.getInstance(Locale.UK);
    private NumberFormat nf = NumberFormat.getInstance();
    private String amount;

	public void setAmount (String amount) { this.amount = amount; }

	public String getAmount () {
		try {
			return dollars.getSymbol(Locale.US) +
				   nf.format(nf.parse(amount).doubleValue());
		}
	    catch (ParseException e) {
		    return ("Bad number format");
	    }
	}

	public String getPoundValue() {
	    try {
			double newValue = nf.parse(amount).doubleValue();
			newValue *= EXCHANGE_RATE ;
			nf.setMaximumFractionDigits(pounds.getDefaultFractionDigits());
			nf.setMinimumFractionDigits(pounds.getDefaultFractionDigits());
			return pounds.getSymbol(Locale.UK) + nf.format(newValue);
		}
	    catch (ParseException e) {
		    return ("Bad number format");
	    }
    }
}
