import java.sql.*;

public class CreateDB {
	private static final String driver = "org.gjt.mm.mysql.Driver";
	private static final String protocol = "jdbc:mysql://localhost/test";
	private static final String username = "root";
	private static final String password = "secret";

	public static void main(String[] args) {

		try {
			Class.forName(driver);
			System.out.println("Loaded driver: "+driver);

			Connection conn = DriverManager.getConnection(protocol, username, password);
			System.out.println("Connected to: "+protocol);
			conn.setAutoCommit(false);

			Statement s = conn.createStatement();

			System.out.println("Dropping existing tables...");
			try {s.execute("drop table Currency");} catch (SQLException ex){}
			try {s.execute("drop table Exchange");} catch (SQLException ex){}
			System.out.println("Dropped tables");
			conn.commit();

			System.out.println("Creating new tables...");
			s.execute("create table Currency(language varchar(2), country varchar(2), name varchar(3))");
			s.execute("create table Exchange(src varchar(3), dst varchar(3), rate double)");
			System.out.println("Created tables");


			System.out.println("Inserting records...");
			s.execute("insert into Currency values ('en','CA', 'CAD')");
			s.execute("insert into Currency values ('de','DE', 'EUR')");
			s.execute("insert into Currency values ('en','GB', 'GBP')");
			s.execute("insert into Currency values ('en','US', 'USD')");

			s.execute("insert into Exchange values ('CAD','EUR', 0.6955)");
			s.execute("insert into Exchange values ('CAD','USD', 0.6376)");
			s.execute("insert into Exchange values ('CAD','GBP', 0.4344)");
			s.execute("insert into Exchange values ('EUR','CAD', 1.4376)");
			s.execute("insert into Exchange values ('EUR','GBP', 0.6246)");
			s.execute("insert into Exchange values ('EUR','USD', 0.9166)");
			s.execute("insert into Exchange values ('GBP','CAD', 2.3019)");
			s.execute("insert into Exchange values ('GBP','EUR', 1.6011)");
			s.execute("insert into Exchange values ('GBP','USD', 1.4676)");
			s.execute("insert into Exchange values ('USD','CAD', 1.5685)");
			s.execute("insert into Exchange values ('USD','EUR', 1.0909)");
			s.execute("insert into Exchange values ('USD','GBP', 0.6813)");

			System.out.println("Inserted records");

			conn.commit();
			s.close();
			conn.close();
			System.out.println("Committed transaction and closed connection");
		}
		catch (SQLException ex) {
			System.out.println("SQL Exception thrown: "+ex);
			ex.printStackTrace();
		}
		catch (ClassNotFoundException ex) {
			System.out.println(ex);
			ex.printStackTrace();
		}
	}
}
