import java.sql.*;
import org.apache.catalina.realm.*;

public class CreateSecurityTables {
    private static final String driver = "org.gjt.mm.mysql.Driver";
    private static final String protocol = "jdbc:mysql://localhost/security";
    private static final String username = "root";
    private static final String password = "secret";

    public static void main(String[] args) {

	try {
	    Class.forName(driver);
	    System.out.println("Loaded driver: "+driver);

	    Connection conn = DriverManager.getConnection(protocol, username, password);
	    System.out.println("Connected to: "+protocol);
	    conn.setAutoCommit(false);

	    Statement s = conn.createStatement();

	    System.out.println("Dropping existing tables...");
	    try {s.execute("drop table users");} catch (SQLException ex){}
	    try {s.execute("drop table roles");} catch (SQLException ex){}
	    try {s.execute("drop table userroles");} catch (SQLException ex){}
	    System.out.println("Dropped tables");
	    conn.commit();

	    System.out.println("Creating new user and userroles tables...");
	    s.execute("create table users (username varchar(20) primary key, password varchar(64))");
	    s.execute("create table userroles (username varchar(20) not null, role varchar(20) not null, primary key (username, role))");
	    s.execute("create table roles (role varchar(20) primary key)");
	    System.out.println("Created tables");


	    System.out.println("Inserting records...");
	    s.execute("insert into users (username, password) values ('bill','bill')");
	    s.execute("insert into users (username, password) values ('ben','ben')");

	    s.execute("insert into users (username, password) values ('sam','" + RealmBase.Digest("sam", "MD5") + "')" );

	    s.execute("insert into roles (role) values ('administrator')");
	    s.execute("insert into roles (role) values ('patron')");

	    s.execute("insert into userroles (username, role) values ('bill','administrator')");
	    s.execute("insert into userroles (username, role) values ('ben','patron')");
	    s.execute("insert into userroles (username, role) values ('sam','patron')");

	    System.out.println("Inserted records");

	    conn.commit();
	    s.close();
	    conn.close();
	    System.out.println("Committed transaction and closed connection");
	}
	catch (SQLException ex) {
	    System.out.println("SQL Exception thrown: "+ex);
	    ex.printStackTrace();
	}
	catch (ClassNotFoundException ex) {
	    System.out.println(ex);
	    ex.printStackTrace();
	}
    }
}
