import java.io.*;
import java.sql.*;
import java.text.*;
import javax.naming.*;
import javax.servlet.*;
import javax.servlet.http.*;
import converters.*;


public class Action extends HttpServlet
{
	public void doGet(HttpServletRequest request, HttpServletResponse response)
		throws ServletException, IOException {

		// find real web resource
		String forward = request.getServletPath();
		if (forward.endsWith(".do"))
		    forward = forward.substring(1,forward.length()-3)+".jsp";
		else
			throw new ServletException(
			    "Action servlet called with illegal path: "+forward);

		// build and validate view page attributes
		HttpSession session = request.getSession();
		String amount = request.getParameter("amount");
		try {
			ConverterBean convert =
			    (ConverterBean)session.getAttribute("convert");
			if (convert == null)
				session.setAttribute("convert",convert=new ConverterBean());
		    String from = request.getParameter("countryFrom");
		    String to = request.getParameter("countryTo");
			if (from!=null && from.length()>0 && to!=null && to.length()>0)
				convert.setCountries(from,to);
			if (amount!=null && amount.length()>0)
				convert.setAmount(amount);
		}
		catch (NamingException ex) {
			request.setAttribute("exception",ex);
			forward = "databaseError.jsp";
		}
		catch (SQLException ex) {
			request.setAttribute("exception",ex);
			forward = "databaseError.jsp";
		}
		catch (ParseException ex) {
			request.setAttribute("message",
			  "<FONT color='red'>Invalid value for amount: "+amount+"</FONT>");
		}
		catch (IllegalArgumentException ex) {
			request.setAttribute("message",
			  "<FONT COLOR='red'>"+ex.getMessage()+"</FONT>");
		}

		// forward request
		request.getRequestDispatcher(forward).forward(request,response);
	}

	public void doPost(HttpServletRequest request, HttpServletResponse response)
		throws ServletException, IOException {
		doGet(request,response);
	}
}