import java.io.*;
import java.util.*;
import java.text.*;
import javax.servlet.*;
import javax.servlet.http.*;

public class CurrencyConverter extends HttpServlet {

   private String format (Currency currency, double value) {
        NumberFormat nf = NumberFormat.getInstance();
	nf.setMaximumFractionDigits(currency.getDefaultFractionDigits());
        nf.setMinimumFractionDigits(currency.getDefaultFractionDigits());
	return nf.format(value);
    }


    public void doGet(HttpServletRequest request, HttpServletResponse response)
                 throws ServletException, IOException {
	HttpSession session = request.getSession();
	if (session.getAttribute("rate")==null)
		session.setAttribute("rate","0.615");
	Currency dollars = Currency.getInstance(Locale.US);
	Currency pounds = Currency.getInstance(Locale.UK);
	try {
	    double oldValue = Double.parseDouble(request.getParameter("amount"));
	    if (oldValue <= 0) {
	        request.setAttribute("error", "Value must be greater than zero");
	    }
	    else {
		double exchangeRate =
		    Double.parseDouble((String)session.getAttribute("rate"));
		double newValue = oldValue * exchangeRate ;
		String result = dollars.getSymbol(Locale.US) +
		format(dollars, oldValue) + " = " +
		    pounds.getSymbol(Locale.UK) + format(pounds, newValue);
		request.setAttribute("result", result);
	    }
	}
	catch (NumberFormatException e) {
	    request.setAttribute("error", "Invalid number format");
	}
        request.getRequestDispatcher("/currency-form.jsp")
		    .forward(request, response);
    }
}
