import org.apache.cactus.*;
import javax.servlet.http.*;

public class TestCurrencyServlet extends ServletTestCase {

    public TestCurrencyServlet (String theName) {
	super(theName);
    }

    public static void main(String[] theArgs) {
	junit.swingui.TestRunner.main(new String[] {TestCurrencyServlet.class.getName()});
    }

    public static junit.framework.Test suite() {
	return new junit.framework.TestSuite(TestCurrencyServlet.class);
    }

    public void setUp() {
	HttpSession session = request.getSession();
	session.setAttribute("rate", "0.615");
    }

    // *** Valid Amount ***

    public void beginValidAmount(WebRequest request) {
        request.addParameter("amount", "103.72");
    }

    public void testValidAmount() throws Exception {
        CurrencyConverter servlet = new CurrencyConverter();
	servlet.doGet(request, response);
       String result = (String) request.getAttribute("result");
	assertNotNull (result);
	String error = (String) request.getAttribute("error");
	assertNull (error);
    }

    // *** Invalid Amount ***

    public void beginInvalidAmount(WebRequest request) {
        request.addParameter("amount", "55c");
    }

    public void testInvalidAmount() throws Exception {
        CurrencyConverter servlet = new CurrencyConverter();
	servlet.doGet(request, response);
        String result = (String) request.getAttribute("result");
	assertNull (result);
	String error = (String) request.getAttribute("error");
	assertNotNull (error);
	assertEquals (error, "Invalid number format");
    }

    // *** Negative Amount ***

    public void beginNegativeAmount(WebRequest request) {
        request.addParameter("amount", "-3");
    }

    public void testNegativeAmount() throws Exception {
        CurrencyConverter servlet = new CurrencyConverter();
	servlet.doGet(request, response);
        String result = (String) request.getAttribute("result");
	assertNull (result);
	String error = (String) request.getAttribute("error");
	assertNotNull (error);
	assertEquals (error, "Value must be greater than zero");
    }
}